export namespace ls {
    export { configs };
    export { dirs };
}
export namespace scopes {
    export { build };
}
/**
 * Enumerate config files
 *
 * @example
 *
 * - `dir/foo.js`
 * - `dir/bar.config.js`
 * - `dir/baz.json`
 * - `dir/qux.ts`
 *
 * `ls.config('./dir') → ['dir/foo', 'dir/bar', 'dir/baz', 'dir/qux']`
 *
 * @param {string} path - directory to enumerate
 */
declare function configs(path: string): string[];
/**
 * Enumerate one level of directories
 *
 * @param {string} path - directory to enumerate
 * @param {string} [prefix] - prefix for each scope entry (e.g: `prefix/entry`)
 */
declare function dirs(path: string, prefix?: string | undefined): string[];
/**
 * Build scopes
 * - commit
 * - deps
 * - deps-dev
 * - format
 * - lint
 */
declare function build(): string[];
export {};
//# sourceMappingURL=commit.d.ts.map